let
  pkgs = import <nixpkgs> {};
in
  pkgs.mkShell {
    buildInputs = with pkgs; [
        cmake
        gdb
        SDL2
        SDL2.dev
        SDL2_image
        SDL2_gfx
        #SDL2_image.dev
    ];
    nativeBuildInputs = with pkgs; [
        pkg-config
    ];
    SDL2 = pkgs.SDL2;
    SDL2_image = pkgs.SDL2_image;
  }
