
call plug#begin('~/.config/nvim/plugged')

Plug 'sonph/onehalf', { 'rtp': 'vim' }
Plug 'vifm/vifm.vim'
Plug 'preservim/nerdtree'
Plug 'airblade/vim-gitgutter'
Plug 'jiangmiao/auto-pairs'
"Plug 'neoclide/coc.nvim', {'branch': 'release'}
Plug 'sheerun/vim-polyglot'
Plug 'itchyny/lightline.vim'

call plug#end()

syntax on
colorscheme onehalfdark

" lightline
let g:lightline = {
      \ 'colorscheme': 'onehalfdark',
      \ 'active': {
      \   'left': [ [ 'mode', 'paste' ],
      \             [ 'readonly', 'filename', 'modified' ] ]
      \ },
      \ 'component': {
      \   'helloworld': 'Hello, world!'
      \ },
      \ }

set number
set relativenumber
set tabstop=4 softtabstop=0
set shiftwidth=4
set expandtab
set smartindent
set ignorecase
set incsearch
set scrolloff=8
set noshowmode
"set colorcolumn=80
